:root,
[data-bs-theme=light] {
    --bs-body-bg: #fff;
    --bs-body-bg1: #fff;
    --bs-body-bg2: #f2f2f2;
    --bs-body-bg3: #fff0;
    --bs-body-bg4: #809494;
    --bs-body-bg5: #809494;
    --bs-body-bg6: #6e8181;
    --bs-dark-text-emphasis1: #000;
    --bs-dark-text-emphasis: #000;
    --bs-body-counter: #f5f5f5;
    --bs-text-counter: #333;
    --bs-text-head: #462f6a;
    --bs-text-but: #fff;
    --bs-text-coun: #8d65a1;
}

[data-bs-theme=dark] {
    color-scheme: dark;
    --bs-body-bg: #fff;
    --bs-body-bg1: #fff;
    --bs-body-bg2: #fff;
    --bs-body-bg3: #fff;
    --bs-body-bg4: #fff;
    --bs-body-bg5: #fff;
    --bs-body-bg6: #fff;
    --bs-dark-text-emphasis1: #000;
    --bs-dark-text-emphasis: #000;
    --bs-body-counter: #3d3d3d;
    --bs-text-counter: #f5f5f5;
    --bs-text-head: #9f81df;
    --bs-text-but: #494949;
    --bs-text-coun: #fff;
}

.light-bg {
    background-color: #046b431a;
}
.topbar-link {
    font-size: 14px;
}
.topbar-link i {
    font-size: 20px;
    margin-right: 10px;
}
.btn.btn-white {
    background: #ffffff;
    color: #1f2632;
    border-radius: 0;
}
.btn:before {
    top: 0;
    left: 0;
    right: auto;
}
.btn:before, .btn:after {
    z-index: -1;
    content: '';
    background: #1c2431;
    height: 50%;
    width: 0;
    position: absolute;
    transition: 0.5s cubic-bezier(0.785, 0.135, 0.15, 0.86);
}
.btn span {
    position: relative;
    z-index: 1;
    padding-right: 40px;
}
.btn.btn-white span:before {
    background: #0a1426;
}
.btn span:before {
    position: absolute;
    height: 1px;
    background: #fff;
    width: 20px;
    right: 0;
    top: 50%;
    transition: all 0.3s ease;
    z-index: 1;
    content: "";
}
.btn:after {
    bottom: 0;
    right: 0;
    left: auto;
}
.btn:before, .btn:after {
    z-index: -1;
    content: '';
    background: #1c2431;
    height: 50%;
    width: 0;
    position: absolute;
    transition: 0.5s cubic-bezier(0.785, 0.135, 0.15, 0.86);
}
.social-icons ul {
    padding: 0;
    margin: 0;
    line-height: 0;
}
.list-inline {
    padding-left: 0;
    list-style: none;
}
.social-icons li {
    display: inline-block;
    list-style: none;
    padding: 0;
    margin: 0 8px 0 0;
}
.header-top .social-icons li a {
    background: rgba(255, 255, 255, 0.2);
    height: 30px;
    width: 30px;
    line-height: 30px;
    color: #454545;
}
.social-icons li a {
    background: #f3f5f8;
    display: inline-block;
    height: 40px;
    width: 40px;
    line-height: 40px;
    font-size: 14px;
    text-align: center;
    margin: 0;
    border: 0;
    color: #1f2632;
    overflow: hidden;
}
.btn.btn-white:hover {
    background-color: #046b43;
    color: #fff;
}
.btn.btn-white {
    background: #ffffff;
    color: #1f2632;
}
.btn.btn-white:hover span:before {
    background: #ffffff;
}








.navbar-nav .dropdown-menu {
    position: static;
    background-color: var(--bs-body-bg1);
    border: none;
    margin-top: 1px;
    width: 100%;
    border-radius: 0;

}

.list-group-item {
    position: relative;
    display: block;
    padding: 5px 0 !important;
    color: var(--bs-list-group-color);
    text-decoration: none;
    background: none !important;
    border: none !important;
    border-radius: 0 !important;
    font-size: 14px;
}

#navbar a:hover {
    color: var(--bs-dark-text-emphasis);
}

.navbar-nav li {
    padding: 0 8px;
}

.main-header .menu-right-content {
    position: relative;
    display: flex;
    align-items: center;
}

.main-header .menu-right-content .support-box {
    position: relative;
    display: block;
    padding: 9px 40px 10px 53px;
    margin-right: 32px;
}

.main-header .menu-right-content .support-box .icon {
    position: absolute;
    display: inline-block;
    left: 0px;
    top: 0px;
    width: 37px;
    height: 37px;
    line-height: 39px;
    text-align: center;
    background: #057e61;
    font-size: 17px;
    border-radius: 50%;
}

.main-header .menu-right-content .support-box .icon i {
    color: #fff;
}

.main-header .menu-right-content .support-box span {
    position: relative;
    display: block;
    font-size: 14px;
    line-height: 18px;
    margin-bottom: 2px;
    color: #fbb127;
}

.main-header .menu-right-content .support-box h6 {
    position: relative;
    display: block;
    font-size: 16px;
    line-height: 20px;
    font-weight: 400;
}

.main-header .menu-right-content .btn-box {
    position: relative;
    width: 250px;
}

.main-header .menu-right-content .btn-box a {
    position: relative;
    display: inline-block;
    font-size: 17px;
    line-height: 17px;
    color: #fff;
    font-weight: 700;
    padding: 20px 30px;
    width: 250px;
    text-transform: uppercase;
}

.main-header .menu-right-content .btn-box a {
    color: #fff !important;
    background: #0688ad;
}

/******************  GALLERY *******************/
.masonry .mItem .menu-p {
    display: inline-block;
    margin-bottom: 16px;
    width: 100%;
}

@media (min-width: 1200px) {
    .masonry {
        column-count: 6;
        column-gap: 15px;
    }
}

@media (max-width: 1199px) {
    .masonry {
        column-count: 1;
    }
}

@media (max-width: 991px) {
    .masonry {
        column-count: 1;
    }
}

@media (max-width: 767px) {
    .masonry {
        column-count: 1;
    }
}

.navbar-expand-lg .navbar-nav .menu1 {
        position: relative;
    }





#navbar {
    background-color: var(--bs-body-bg1);
    /* Black background color */
    position: sticky;
    top: 0;
    /* overflow: hidden;*/
    z-index: 99;
        box-shadow: 0px 9px 12px -5px rgb(0 0 0 / 10%);
    /* Transition effect when sliding down (and up) */

}
.scrolled {
    background-color: var(--bs-body-bg1) !important;
        box-shadow: 4px 0 20px -5px rgba(0, 0, 0, 0.2);
    /* สีเมื่อเลื่อนลง */
}
@media (max-width: 576px) {
    .dropdown-item::after {
        transform: rotate(90deg) !important;
    }
}

.dropdown .dropdown-menu .set-menu li {
    padding: 0 !important;
}


.dropdown-item.active,
.dropdown-item:active {
    color: var(--bs-dropdown-link-active-color) !important;
    text-decoration: none;
    background-color: #73b35a !important;
}

.header-layout4 .header-social a {}

.header-social a {
    display: inline-block;
    color: #fff;
    line-height: 1;
    margin-right: 15px;
    font-size: x-small;
}
.mega-content h6{
    font-weight: 800;
    font-size: 15px;
}
.group-text a{
    font-size: 12px !important;
    color: #777 !important;
}
.group-text a:hover {
    color: #35ac50 !important;
}
.header-links>ul {
    display: flex;
    align-items: center;
    list-style: none;
    margin-bottom: 0;
    padding-left: 0;
    gap: 35px;
}

.header-links>ul>li>a {
    color: #fff;
    font-weight: 500;
    font-size: 16px;
}



.navbar-toggler {
    color: var(--bs-dark-text-emphasis);
}
.mega-content hr {
    margin: 1rem 0;
    color: inherit;
    border: 0;
    border-top: 1px #35ac50 solid;
    opacity: 25;
}
/* Style the navbar links */
#navbar a {

    font-size: 18px;
    text-transform: uppercase;
    display: block;
    color: var(--bs-dark-text-emphasis);
    text-decoration: none;
}

.navbar-nav .dropdown-menu {
    position: static;
    background-color: #fff;
    border: none;
    margin-top: 0px;
    padding: 0;
}
.navbar-nav .dropdown-menu li{
    padding: 0;
}
.navbar-nav .dropdown-menu a{
    color: #000 ;
    font-weight: 200;
    font-size: 15px;
    border-bottom: 1px solid #fff0;
}

#navbar a:hover {
    color: var(--bs-dark-text-emphasis);
}

.navbar-nav li {
    padding: 0 8px;
}

.main-header .menu-right-content {
    position: relative;
    display: flex;
    align-items: center;
}

.main-header .menu-right-content .support-box {
    position: relative;
    display: block;
    padding: 12px 40px 10px 80px;
    margin-right: 30px;
}

.main-header .menu-right-content .support-box .icon {
    position: absolute;
    display: inline-block;
    left: 0px;
    top: 0px;
    width: 56px;
    height: 56px;
    line-height: 62px;
    text-align: center;
    background: #809494;
    font-size: 30px;
    border-radius: 50%;
}

.main-header .menu-right-content .support-box .icon svg {
    color: #fff;
    margin-top: -10px;
}

.main-header .menu-right-content .support-box span {
    position: relative;
    display: block;
    font-size: 14px;
    line-height: 18px;
    margin-bottom: 2px;
    color: #809494;
}

.main-header .menu-right-content .support-box h6 {
    position: relative;
    display: block;
    font-size: 16px;
    line-height: 20px;
    font-weight: 400;
}

.main-header .menu-right-content .btn-box {
    position: relative;
    width: 250px;
}

.main-header .menu-right-content .btn-box a {
    position: relative;
    display: inline-block;
    font-size: 15px;
    line-height: 17px;
    color: #fff;
    font-weight: 700;
    padding: 13px 30px;
    width: 250px;
    text-transform: uppercase;
}

.main-header .menu-right-content .btn-box a {
    color: #fff !important;
    background: #9c1702;
}






.bd-placeholder-img {
    font-size: 1.125rem;
    text-anchor: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}

@media (min-width: 768px) {
    .bd-placeholder-img-lg {
        font-size: 3.5rem;
    }
}

.b-example-divider {
    width: 100%;
    height: 3rem;
    background-color: rgba(0, 0, 0, .1);
    border: solid rgba(0, 0, 0, .15);
    border-width: 1px 0;
    box-shadow: inset 0 .5em 1.5em rgba(0, 0, 0, .1), inset 0 .125em .5em rgba(0, 0, 0, .15);
}

.b-example-vr {
    flex-shrink: 0;
    width: 1.5rem;
    height: 100vh;
}

.bi {
    vertical-align: -.125em;
    fill: currentColor;
}

.nav-scroller {
    position: relative;
    z-index: 2;
    height: 2.75rem;
    overflow-y: hidden;
}

.nav-scroller .nav {
    display: flex;
    flex-wrap: nowrap;
    padding-bottom: 1rem;
    margin-top: -1px;
    overflow-x: auto;
    text-align: center;
    white-space: nowrap;
    -webkit-overflow-scrolling: touch;
}

.btn-bd-primary {
    --bd-violet-bg: #712cf9;
    --bd-violet-rgb: 112.520718, 44.062154, 249.437846;

    --bs-btn-font-weight: 600;
    --bs-btn-color: var(--bs-white);
    --bs-btn-bg: var(--bd-violet-bg);
    --bs-btn-border-color: var(--bd-violet-bg);
    --bs-btn-hover-color: var(--bs-white);
    --bs-btn-hover-bg: #6528e0;
    --bs-btn-hover-border-color: #6528e0;
    --bs-btn-focus-shadow-rgb: var(--bd-violet-rgb);
    --bs-btn-active-color: var(--bs-btn-hover-color);
    --bs-btn-active-bg: #5a23c8;
    --bs-btn-active-border-color: #5a23c8;
}

.bd-mode-toggle {
    z-index: 1500;
}

.bd-mode-toggle .dropdown-menu .active .bi {
    display: block !important;
}

/* CUSTOMIZE THE CAROUSEL
-------------------------------------------------- */


/* Since positioning the image, we need to help out the caption */
.carousel-caption {
    bottom: 3rem;
    z-index: 10;
}


/* MARKETING CONTENT
-------------------------------------------------- */

/* Center align the text within the three columns below the carousel */
.marketing .col-lg-4 {
    margin-bottom: 1.5rem;
    text-align: center;
}

/* rtl:begin:ignore */
.marketing .col-lg-4 p {
    margin-right: .75rem;
    margin-left: .75rem;
}

/* rtl:end:ignore */


/* Featurettes
------------------------- */

.featurette-divider {
    margin: 5rem 0;
    /* Space out the Bootstrap <hr> more */
}

/* Thin out the marketing headings */
/* rtl:begin:remove */
.featurette-heading {
    letter-spacing: -.05rem;
}

/* rtl:end:remove */

/* RESPONSIVE CSS
-------------------------------------------------- */

@media (min-width: 40em) {

    /* Bump up size of carousel content */
    .carousel-caption p {
        margin-bottom: 1.25rem;
        font-size: 1.25rem;
        line-height: 1.4;
    }

    .featurette-heading {
        font-size: 50px;
    }
}

@media (min-width: 62em) {
    .featurette-heading {
        margin-top: 7rem;
    }
}